MWAWGraphicListenerInternal::GraphicState Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
MWAWGraphicListenerInternal::GraphicState Struct Reference

the global graphic state of MWAWGraphicListener More...

## Public Member Functions
| GraphicState (std::vector< MWAWPageSpan > const &pageList)
| constructor More...
| ~GraphicState ()
| destructor More...

## Public Attributes
std::vector< MWAWPageSpan > | m_pageList
| the pages definition More...
librevenge::RVNGPropertyList | m_metaData
| the document meta data More...
bool | m_isDocumentStarted
| a flag to know if the document is open More...
bool | m_isPageSpanOpened
| true if a page is open More...
bool | m_isMasterPageSpanOpened
| true if a masterpage is open More...
bool | m_isAtLeastOnePageOpened
| true if the first page has been open More...
bool | m_isHeaderFooterStarted
| a flag to know if the header footer is started More...
MWAWPageSpan | m_pageSpan
| ! the current page span More...
std::vector< int > | m_sentListMarkers
| the list of marker corresponding to sent list More...
std::vector< MWAWSubDocumentPtr > | m_subDocuments
| the list of actual subdocument More...
MWAWSection | m_section
| a section used to return a bad section More...

## Detailed Description

the global graphic state of MWAWGraphicListener

## Constructor & Destructor Documentation

MWAWGraphicListenerInternal::GraphicState::GraphicState | ( | std::vector< MWAWPageSpan > const & | pageList | ) |
| inlineexplicit

constructor

MWAWGraphicListenerInternal::GraphicState::~GraphicState | ( |  | ) |
| inline

destructor

## Member Data Documentation

bool MWAWGraphicListenerInternal::GraphicState::m_isAtLeastOnePageOpened

true if the first page has been open

bool MWAWGraphicListenerInternal::GraphicState::m_isDocumentStarted

a flag to know if the document is open

bool MWAWGraphicListenerInternal::GraphicState::m_isHeaderFooterStarted

a flag to know if the header footer is started

bool MWAWGraphicListenerInternal::GraphicState::m_isMasterPageSpanOpened

true if a masterpage is open

bool MWAWGraphicListenerInternal::GraphicState::m_isPageSpanOpened

true if a page is open

librevenge::RVNGPropertyList MWAWGraphicListenerInternal::GraphicState::m_metaData

the document meta data

std::vector<MWAWPageSpan> MWAWGraphicListenerInternal::GraphicState::m_pageList

the pages definition

MWAWPageSpan MWAWGraphicListenerInternal::GraphicState::m_pageSpan

! the current page span

MWAWSection MWAWGraphicListenerInternal::GraphicState::m_section

a section used to return a bad section

std::vector<int> MWAWGraphicListenerInternal::GraphicState::m_sentListMarkers

the list of marker corresponding to sent list

std::vector<MWAWSubDocumentPtr> MWAWGraphicListenerInternal::GraphicState::m_subDocuments

the list of actual subdocument

The documentation for this struct was generated from the following file:

- MWAWGraphicListener.cxx